{
    "$graph": [
        {
            "label": "kmer_top_identification",
            "class": "CommandLineTool",
            "baseCommand": "kmer_top_identification",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-N"
                    },
                    "id": "#kmer_top_identification.cwl/N"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-distances"
                    },
                    "id": "#kmer_top_identification.cwl/distances"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-kmer-cache-uri"
                    },
                    "id": "#kmer_top_identification.cwl/kmer_cache_sqlite"
                },
                {
                    "type": "string",
                    "default": "matches.txt",
                    "inputBinding": {
                        "prefix": "-omatches"
                    },
                    "id": "#kmer_top_identification.cwl/omatches"
                },
                {
                    "type": "string",
                    "default": "top_distances.xml",
                    "inputBinding": {
                        "prefix": "-oxml"
                    },
                    "id": "#kmer_top_identification.cwl/oxml"
                },
                {
                    "type": "float",
                    "inputBinding": {
                        "prefix": "-threshold"
                    },
                    "id": "#kmer_top_identification.cwl/threshold"
                }
            ],
            "id": "#kmer_top_identification.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.omatches)"
                    },
                    "id": "#kmer_top_identification.cwl/matches"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oxml)"
                    },
                    "id": "#kmer_top_identification.cwl/top_distances"
                }
            ]
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/distances"
                },
                {
                    "type": "File",
                    "id": "#main/kmer_cache_sqlite"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/kmer_top_identification/matches",
                    "id": "#main/matches"
                },
                {
                    "type": "File",
                    "outputSource": "#main/kmer_top_identification/top_distances",
                    "id": "#main/top_distances"
                }
            ],
            "steps": [
                {
                    "run": "#kmer_top_identification.cwl",
                    "in": [
                        {
                            "default": 20,
                            "id": "#main/kmer_top_identification/N"
                        },
                        {
                            "source": "#main/distances",
                            "id": "#main/kmer_top_identification/distances"
                        },
                        {
                            "source": "#main/kmer_cache_sqlite",
                            "id": "#main/kmer_top_identification/kmer_cache_sqlite"
                        },
                        {
                            "default": 0.8,
                            "id": "#main/kmer_top_identification/threshold"
                        }
                    ],
                    "out": [
                        "#main/kmer_top_identification/top_distances",
                        "#main/kmer_top_identification/matches"
                    ],
                    "id": "#main/kmer_top_identification"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
